sidebarLayout {shiny} | R Documentation

## Layout a sidebar and main area

### Description

Create a layout with a sidebar and main area. The sidebar is displayed with a distinct background color and typically contains input controls. The main area occupies 2/3 of the horizontal width and typically contains outputs.

### Usage

    sidebarLayout(sidebarPanel, mainPanel, position = c("left", "right"),
      fluid = TRUE)

### Arguments

`sidebarPanel` | The sidebarPanel containing input controls
`mainPanel` | The mainPanel containing outputs
`position` | The position of the sidebar relative to the main area ("left" or "right")
`fluid` | `TRUE` to use fluid layout; `FALSE` to use fixed layout.

### Examples

    # Define UI
    shinyUI(fluidPage(

      # Application title
      titlePanel("Hello Shiny!"),

      sidebarLayout(

        # Sidebar with a slider input
        sidebarPanel(
          sliderInput("obs",
                      "Number of observations:",
                      min = 0,
                      max = 1000,
                      value = 500)
        ),

        # Show a plot of the generated distribution
        mainPanel(
          plotOutput("distPlot")
        )
      )
    ))

[Package shiny version 0.13.2 Index]